Skip to main content
GET
/
v1
/
crm
/
leads
/
{leadId}
/
equipment-orders
/
{equipmentOrderId}
Get an Equipment Order
curl --request GET \
  --url https://api.example.com/v1/crm/leads/{leadId}/equipment-orders/{equipmentOrderId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "address": "<string>",
  "trackingNumber": "<string>",
  "specialInstructions": "<string>",
  "createdAt": "<string>",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "<string>",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

leadId
string
required
equipmentOrderId
string
required

Response

The equipment order corresponding to the primary identifier.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
entityId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
entityType
enum<string>
required
Available options:
lead,
client,
user,
processor,
document,
ticket,
transactions,
batch,
statement
shipping
enum<string> | null
required
Available options:
ups_ground,
ups_overnight
shippingAddress
enum<string> | null
required
Available options:
dba,
legal,
mailing,
iso,
other
address
string | null
required
Maximum string length: 250
billTo
enum<string> | null
required
Available options:
merchant,
partner,
signapay
status
enum<string> | null
required
Available options:
in_queue,
halted,
missing_info,
deployment_completed,
returned
trackingNumber
string | null
required
specialInstructions
string | null
required
Maximum string length: 200
createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$